/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class InstanceStatusEnum extends StringEnum
{
    public static final String PENDING_VALUE = "PENDING";//alias=审批中
    public static final String APPROVED_VALUE = "APPROVED";//alias=审批流程结束，结果为同意
    public static final String REJECTED_VALUE = "REJECTED";//alias=审批流程结束，结果为拒绝
    public static final String CANCELED_VALUE = "CANCELED";//alias=审批发起人撤回
    public static final String DELETED_VALUE = "DELETED";//alias=审批被删除
    public static final String HIDDEN_VALUE = "HIDDEN";//alias=状态隐藏（不显示状态）
    public static final String TERMINATED_VALUE = "TERMINATED";//alias=审批终止

    public static final InstanceStatusEnum PENDING = new InstanceStatusEnum("PENDING", PENDING_VALUE);
    public static final InstanceStatusEnum APPROVED = new InstanceStatusEnum("APPROVED", APPROVED_VALUE);
    public static final InstanceStatusEnum REJECTED = new InstanceStatusEnum("REJECTED", REJECTED_VALUE);
    public static final InstanceStatusEnum CANCELED = new InstanceStatusEnum("CANCELED", CANCELED_VALUE);
    public static final InstanceStatusEnum DELETED = new InstanceStatusEnum("DELETED", DELETED_VALUE);
    public static final InstanceStatusEnum HIDDEN = new InstanceStatusEnum("HIDDEN", HIDDEN_VALUE);
    public static final InstanceStatusEnum TERMINATED = new InstanceStatusEnum("TERMINATED", TERMINATED_VALUE);

    /**
     * construct function
     * @param String instanceStatusEnum
     */
    private InstanceStatusEnum(String name, String instanceStatusEnum)
    {
        super(name, instanceStatusEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static InstanceStatusEnum getEnum(String instanceStatusEnum)
    {
        return (InstanceStatusEnum)getEnum(InstanceStatusEnum.class, instanceStatusEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(InstanceStatusEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(InstanceStatusEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(InstanceStatusEnum.class);
    }
}